//importing json and geo paths
import { select, json, geoPath, geoNaturalEarth1} from 'd3';
import {feature} from 'topojson';

const svg = select('svg');

//setting width, height
const width = +svg.attr('width');
const height = +svg.attr('height');

//setting the geo porjection type
  const projection = geoNaturalEarth1();
const pathGenerator = geoPath().projection(projection);

// appending json file 
svg.append('path')
		.attr('class', 'sphere')
		.attr('d', pathGenerator({type: 'Sphere'}));

json('https://gist.githubusercontent.com/Galineeharika/e8c2a8b3e038587c0e8ee40392753a0b/raw/d901c1e1b6e9651e72c4116cb410e3030c27c038/Topojson.csv')
		.then(data => {
  			const countries = feature(data, data.objects.countries);
  
  			svg.selectAll('path')
        		.data(countries.features)
  					.enter().append('path')
  					.attr('class', 'country')
  					.attr('d', pathGenerator)
		});
